### A free/open-source library for quantitative finance

Classes | Typedefs
ql/cashflow.hpp File Reference

Base class for cash flows. More...

`#include <ql/event.hpp>`
`#include <ql/settings.hpp>`
`#include <ql/math/comparison.hpp>`
`#include <vector>`
Include dependency graph for cashflow.hpp:

## Classes

class | CashFlow
| Base class for cash flows. More...

## Typedefs

typedef std::vector < boost::shared_ptr< CashFlow > > | Leg
| Sequence of cash-flows.

## Detailed Description

Base class for cash flows.